Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class DependencyFoundEvent<T>

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.DependencyFoundEvent<T>

Type Parameters:
  `T` - The type of the key used to identify the resources (will be URI in our case).

Direct Known Subclasses:
  `ResourceDependencyFoundEvent`

public class DependencyFoundEvent<T> extends Object
Event indicating a dependency between two resources has been found.

## Constructor Summary

Constructors
Constructor
Description
`DependencyFoundEvent(T from, T to)`
Constructor.
`DependencyFoundEvent(T from, T to, com.google.common.base.Optional<T> parent)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`T`
`getFrom()`
`com.google.common.base.Optional<T>`
`getParent()`
`T`
`getTo()`
`int`
`hashCode()`
`boolean`
`hasParent()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyFoundEvent

public DependencyFoundEvent(T from, T to, com.google.common.base.Optional<T> parent)
Constructor.

Parameters:
  `from` - The source
  `to` - The target
  `parent` - The key of the object at the source causing the dependency

### DependencyFoundEvent

public DependencyFoundEvent(T from, T to)
Constructor.

Parameters:
  `from` - The source
  `to` - The target

## Method Details

### getFrom

public T getFrom()

### getTo

public T getTo()

### getParent

public com.google.common.base.Optional<T> getParent()

### hasParent

public boolean hasParent()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`